[pkg-fso-maint] [wicd] interim report

Steffen Moeller steffen_moeller at gmx.de
Fri Feb 20 01:17:05 UTC 2009


Hello,

this is where I am for implementing Gregor's setup for wicd. My personal hunch is that it
is not really installable from chroot. The test will run while I sleep. So probably
something else is preferable. Whatever. This is what happened. I am attaching a patch to
the end of this email, which is meant only as a basis for further discussion. Please don't
apply it.

gregor herrmann wrote:
> On Tue, 17 Feb 2009 17:46:14 +0100, Steffen Moeller wrote:
> 
>>> I've installed wicd, and after setting the wired interface to an
>>> empty value it deals with wifi without touching usb0.
>> This sounds rather helpful :)
> 
> It is :)
>  
>>> (That wicd is not exactly light weight is a different story.)
>> A 2GB SD costs about 3.5 Euros here, but I had it already installed on my 512MB SD. 
> 
> I have it on my 8GB SD card; I meant that it's the interface which is
> rather slow ...
> 
>> My
>> suggestion is to have it offered as an option. The default would remain minimal, something
>> like --with-wifi wicd would then add it. Does that sound reasonable? 

Is this possibly a problem with the wicd package? It seems rather uninstallable via chroot:

Setting up wicd (1.5.9-1) ...
Reloading system message bus config...Failed to open connection to "system" message bus:
Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
invoke-rc.d: initscript dbus, action "force-reload" failed.
dpkg: error processing wicd (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 wicd
E: Sub-process /usr/bin/dpkg returned an error code (1)

It installs nicely when

for f in dev proc sys tmp /var/run/dbus/
do
        mount -t none -o bind /$f /mnt/debian/$f
done

is executed just prior to its installation, but this seems rather non-acceptable, right? A
major problem seems to me that wicd is started upon its installation, which is likely to
be a problem to those who are installing via wifi, right? Suggestions ...
besides/including the use of something different?



> Sounds good, unless there are other options or future plans for wifi
> support (mofi?).

? if it installs without errors in chroot environments ...

>> If you could please
>> help me with your installation, then I volunteer to wired_interface =rewrite it as another patch for
>> Joachim and Luca.
> 
> I just did an "aptitude install wicd"; then the only relevant change
> is to turn off the wired interface -- that's done by 
> 
> wired_interface = 
> 
> in /etc/wicd/manager-settings.conf. Oh, and I added 
> 
> wicd-client --no-animate &
> 
> to ~/.xsession to have it started in trayer automatically.
> 
> A problem might be that after installing wicd it starts the daemon,
> probably before changing the config, and that would bring usb0 down.
> Might be worth considering and testing for the installer :)

The config file of wicd is not existing after the installation, so it is probably not
overwritten at install time. Are you, Gregor, familiar with discussions around wicd and
the freerunner on http://wicd.net/punbb/viewtopic.php?id=132 ?

Thanks and regards,

Steffen


moeller at notebook:~/alioth/pkg-fso [gregorWicd] $ git diff master
diff --git a/install.sh b/install.sh
index a24f09b..2200e8c 100755
--- a/install.sh
+++ b/install.sh
@@ -54,6 +54,7 @@ FSO_DEVICE=${FSO_DEVICE:-gta02}
 QI=${QI:-false}
 QI_VERBOSE_BOOT=${QI_VERBOSE_BOOT:-false}
 SINGLE_PART=${SINGLE_PART:-$QI}
+WITH_WIFI=${WITH_WIFI:-none}

 # hardening for the case that a user uses capitals
 lc SD_PART1_FS SD_PART2_FS APT_RECOMMENDS QI QI_VERBOSE_BOOT FSO_DEVICE
@@ -205,6 +206,9 @@ DESCRIPTION
                      do this only when QI=true (default to false)
        SINGLE_PART  set this to true if only one partition should be created
                      this is true by default for QI=true and false if SD_PART1_FS=vfat
+       WITH_WIFI    determines how to configure the wireless connections. Set
+                     to 'none' will not install anything (default), 'wicd' is
+                     supported as an experimental setup.

     Stages:

@@ -248,6 +252,7 @@ OPTIONS
        --part1-fs   sets the SD_PART1_FS variable
        --part1-size sets the SD_PART1_SIZE variable
        --swap-size  sets the SD_SWAP_SIZE variable
+       --with-wifi  sets the WITH_WIFI variable

 BUGS
        Only the current (second) generation of devices is supported.
@@ -788,6 +793,37 @@ echo " * Installing dash as /bin/sh: $DASH_BINSH"
 echo 'dash dash/sh string $DASH_BINSH' | chroot $INST_DIR debconf-set-selections
 chroot $INST_DIR apt-get --yes --force-yes install dash

+case "$WITH_WIFI" in
+ "wicd")
+       echo " * Installing wicd for wifi setup"
+       if [ -r "$INST_DIR/etc/wicd/manager-settings.conf" ]; then
+               echo "The file /etc/wicd/manager-settings.conf is already existing. This
is not
+               echo "Please report to pkg-fso-maint at lists.alioth.debian.org."
+               exit 1
+       else
+               echo "wired_interface =" >> $INST_DIR/etc/wicd/manager-settings.conf
+       fi
+
+       if ! chroot $INST_DIR apt-get --yes install wicd; then
+               echo
+               echo "The installation of wicd has failed. This is probably ignorable."
+               echo "Please report nonetheless to pkg-fso-maint at lists.alioth.debian.org."
+               echo
+               echo "The installation continues."
+               echo
+       fi
+       sed -i '/^exec/iwicd-client --no-animate &' $INST_DIR/root/.xsession
+       ;;
+ "none")
+       # no installation to be performed
+       ;;
+ *)
+       echo
+       echo "Unsupported Wifi: '$WITH_WIFI'"
+       echo
+       ;;
+esac
+
 if [ -f "$WPA_SUPPLICANT_CONF" ]; then
        echo " * Installing wpasupplicant, wireless-tools and udhcpc"
        chroot $INST_DIR apt-get --yes install wpasupplicant wireless-tools udhcpc
@@ -1005,6 +1041,10 @@ do
                        assignNumeric="true"
                        assignVariablename="SD_SWAP_SIZE"
                        ;;
+                "--with-wifi")
+                        assignParametername="$i"
+                       assignVariablename="WITH_WIFI"
+                       ;;
                 "all")
                        action_testing
                        action_time





More information about the pkg-fso-maint mailing list